POST api/market/insertmarket

Request Information

URI Parameters

None.

Body Parameters

MarketMaster
NameDescriptionTypeAdditional information
market_id

integer

None.

comp_id

string

None.

market_name

string

None.

status

string

None.

open_time

time interval

None.

close_time

time interval

None.

AKD_OPENTime

time interval

None.

Pana_OPENTime

time interval

None.

AKD_CLOSETime

time interval

None.

PANA_CLOSETime

time interval

None.

OPEN_KABAR

time interval

None.

CLOSE_KABAR

time interval

None.

Request Formats

application/json, text/json

Sample:
{
  "market_id": 1,
  "comp_id": "sample string 2",
  "market_name": "sample string 3",
  "status": "sample string 4",
  "open_time": "00:00:00.1234567",
  "close_time": "00:00:00.1234567",
  "AKD_OPENTime": "00:00:00.1234567",
  "Pana_OPENTime": "00:00:00.1234567",
  "AKD_CLOSETime": "00:00:00.1234567",
  "PANA_CLOSETime": "00:00:00.1234567",
  "OPEN_KABAR": "00:00:00.1234567",
  "CLOSE_KABAR": "00:00:00.1234567"
}

application/xml, text/xml

Sample:
<MarketMaster xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WhatsAppAPI.Controllers">
  <AKD_CLOSETime>PT0.1234567S</AKD_CLOSETime>
  <AKD_OPENTime>PT0.1234567S</AKD_OPENTime>
  <CLOSE_KABAR>PT0.1234567S</CLOSE_KABAR>
  <OPEN_KABAR>PT0.1234567S</OPEN_KABAR>
  <PANA_CLOSETime>PT0.1234567S</PANA_CLOSETime>
  <Pana_OPENTime>PT0.1234567S</Pana_OPENTime>
  <close_time>PT0.1234567S</close_time>
  <comp_id>sample string 2</comp_id>
  <market_id>1</market_id>
  <market_name>sample string 3</market_name>
  <open_time>PT0.1234567S</open_time>
  <status>sample string 4</status>
</MarketMaster>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MarketMaster'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.